import { Component } from '@angular/core';
import { SideNavComponent } from '../shared/components/side-nav/side-nav.component';
import { TranslateModule, TranslateService } from '@ngx-translate/core';
import { RouterOutlet } from '@angular/router';
import { StorageService } from '../shared/services/storage.service';
import { HeaderComponent } from '../shared/components/header/header.component';

@Component({
  selector: 'app-full-layout',
  imports: [SideNavComponent, RouterOutlet, HeaderComponent, TranslateModule],
  templateUrl: './full-layout.component.html',
  styleUrl: './full-layout.component.scss'
})
export class FullLayoutComponent {

  direction: any;
  footerText: string = '';

  constructor(private translateService: TranslateService,
    private stoargeService: StorageService
  ){
    
  }

  ngOnInit(){
    this.translateService.setDefaultLang(this.stoargeService.getItem('language')!);
    this.translateService.use(this.stoargeService.getItem('language')!);
    this.direction = this.stoargeService.getItem('direction');
    this.setFooterText();
  }

  setFooterText(){
    this.footerText = this.translateService.instant('copyRightsReserved', {
      currentYearLong: this.currentYearLong()
    })
  }

  currentYearLong(): number {
    return new Date().getFullYear();
  }

}
